﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="GridviewSorting_Callback.aspx.cs" Inherits="GridviewSorting_Callback" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<script language=javascript>

    function Ordenar(strColumna)
    {
      <%= ClientScript.GetCallbackEventReference(this, "strColumna", "LlenarGrilla", null) %>  
    }
    
    function LlenarGrilla(strHtml)
    {
       _divContenedor.innerHTML = strHtml;
    }
    
</script>
<body>
    <form id="form1" runat="server">
    <div>
    
    <div id='_divContenedor'>
        <asp:GridView   ID="gvEmpleados" runat="server" AutoGenerateColumns="False" CellPadding="4"
            DataKeyNames="emp_id" DataSourceID="SqlDataSource1" EmptyDataText="There are no data records to display."
            ForeColor="#333333" GridLines="None" OnRowCreated="gvEmpleados_RowCreated">
            <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
            <Columns>
                <asp:BoundField DataField="emp_id" HeaderText="ID" ReadOnly="True" SortExpression="emp_id" />
                <asp:BoundField DataField="fname" HeaderText="Nombre" SortExpression="fname" />
                <asp:BoundField DataField="minit" HeaderText="Inic." SortExpression="minit" />
                <asp:BoundField DataField="lname" HeaderText="Apellido" SortExpression="lname" />
                <asp:TemplateField SortExpression="hire_date" HeaderText="Fecha">
                    <ItemTemplate>
                        <asp:Label ID="lblFecha" runat="server" Text='<%# Eval("hire_date") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
            <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
            <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
            <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <EditRowStyle BackColor="#999999" />
            <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
        </asp:GridView>
     </div>   
        
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:pubsConnectionString1 %>"
            DeleteCommand="DELETE FROM [employee] WHERE [emp_id] = @original_emp_id" InsertCommand="INSERT INTO [employee] ([emp_id], [fname], [minit], [lname], [hire_date]) VALUES (@emp_id, @fname, @minit, @lname, @hire_date)"
            ProviderName="<%$ ConnectionStrings:pubsConnectionString1.ProviderName %>" SelectCommand="SELECT [emp_id], [fname], [minit], [lname], [hire_date] FROM [employee]"
            UpdateCommand="UPDATE [employee] SET [fname] = @fname, [minit] = @minit, [lname] = @lname, [hire_date] = @hire_date WHERE [emp_id] = @original_emp_id">
            <InsertParameters>
                <asp:Parameter Name="emp_id" Type="String" />
                <asp:Parameter Name="fname" Type="String" />
                <asp:Parameter Name="minit" Type="String" />
                <asp:Parameter Name="lname" Type="String" />
                <asp:Parameter Name="hire_date" Type="DateTime" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="fname" Type="String" />
                <asp:Parameter Name="minit" Type="String" />
                <asp:Parameter Name="lname" Type="String" />
                <asp:Parameter Name="hire_date" Type="DateTime" />
                <asp:Parameter Name="original_emp_id" Type="String" />
            </UpdateParameters>
            <DeleteParameters>
                <asp:Parameter Name="original_emp_id" Type="String" />
            </DeleteParameters>
        </asp:SqlDataSource>
    
    </div>
    </form>
</body>
</html>
