using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;
using System.IO;

public partial class GridviewSorting_Callback : System.Web.UI.Page, ICallbackEventHandler 
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
  
    protected void gvEmpleados_RowCreated(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.Header)
        {
            int intCount = 0;
            foreach (DataControlField column in gvEmpleados.Columns)
            {
                if (column.SortExpression.Length > 0)
                    e.Row.Cells[intCount].Text = "<a href='javascript:Ordenar(\"" + column.SortExpression + "\");'>" + column.HeaderText + "</a>";

                intCount++;
            }

        }
    }

    string ICallbackEventHandler.RaiseCallbackEvent(string strSortColumn)
    {
        gvEmpleados.Sort(strSortColumn, SortDirection.Ascending);
        gvEmpleados.DataBind(); 

        StringWriter sr = new StringWriter();

        HtmlTextWriter htm = new HtmlTextWriter(sr);
        gvEmpleados.RenderControl(htm);

        htm.Flush();

        return sr.ToString();
    }
}
